Need help? Call Live Support at +31 (0) 38 453 07 59

Attention! You're currently using the OT&E environment.

Used to update a contact. Only specified fields are updated, to remove an optional field specify it as empty.

  • POSTMethod
  • /v2/customers/customer/contacts/handle/updateURL
  • application/jsonContent-Type
Name Type Description Restrictions
customer String The handle of the customer
  • Regular expression: [a-zA-Z0-9\-_@\.]+
  • Minimum length: 3
  • Maximum length: 40
handle String The contact handle
  • Regular expression: [a-zA-Z0-9\-_@\.]+
  • Minimum length: 3
  • Maximum length: 40
Name Type Required / Optional Description Restrictions
brand String Optional The brand to link the contact to
  • Regular expression: [a-zA-Z0-9\-_@\.]+
  • Minimum length: 3
  • Maximum length: 40
organization String Optional The name of the organization
  • Maximum length: 255
name String Optional The name of the person
  • Minimum length: 1
  • Maximum length: 255
addressLine List <String> Optional The address lines
  • Minimum number of items: 1
  • Maximum number of items: 3
  • Minimum length: 1
  • Maximum length: 255
postalCode String Optional Postal code
  • Minimum length: 1
  • Maximum length: 16
city String Optional The city
  • Minimum length: 1
  • Maximum length: 255
state String Optional The state
  • Maximum length: 255
country String Optional The ISO 3166-1 alpha2 country code
  • Minimum length: 2
  • Maximum length: 2
email String Optional The email address
  • Regular expression: (?=.{1,64}@)[a-z0-9_\-+]+(?:\.[a-z0-9_\-+]+)*@(?:[a-z0-9](?:[a-z0-9-]{0,61}[a-z0-9])?\.)+(?:[a-z][a-z0-9-]{0,61}[a-z0-9])
  • Minimum length: 6
  • Maximum length: 255
voice String Optional The voice telephone number. E164a format, eg: +31.384530759
  • Regular expression: \+[0-9]{1,3}\.[0-9]{1,14}
  • Minimum length: 4
  • Maximum length: 17
fax String Optional The fax telephone number. E164a format, eg: +31.384530759
  • Regular expression: (\+[0-9]{1,3}\.[0-9]{1,14})?
  • Maximum length: 17
designatedAgent Enum Optional Indicates for whom you are acting as a designated agent. If a registry does not allow you to be designated agent or interaction with the registrant is still required this parameter is silently ignored. To use this field with any other value then "NONE" the requesting user must have the DESIGNATED_AGENT permission.

Possible values:

  • NONE
  • OLD
  • NEW
  • BOTH
disclosedFields List <Enum> Optional List of fields you wish to disclose (in RDAP) where this contact is used. Country and state are allways publicly available.

Possible values:

  • registryContactId: Registry Contact ID (contact:roid)
  • email: Contact e-mail
  • name: Contact name
  • organization: Contact organization
  • addressLine: Contact address lines
  • city: Contact city or locality
  • postalCode: Contact postal code
  • voice: Contact phone number
  • fax: Contact fax number
  • state: Contact state
  • country: Contact country
validations List < validations > Optional List of categories that have been validated. Only available on accounts with the applicable agreement, and only the agreed upon categories can be supplied. To be able to use this field you need the CONTACT_VALIDATION permission.
verifications List < verifications > Optional Verifications performed for this contact. To be able to use this field you need the CONTACT_VERIFICATION permission.
Name Type Required / Optional Description Restrictions
category String Required The validated category
termsVersion String Required The version of the terms presented to the end user during validation
validatedOn Timestamp Optional The date contact data was validated. Defaults to current date and time.
validatedBy String Required The IP address of the client used to validate the contact.
  • Regular expression: (([0-9a-fA-F]{1,4}(:[0-9a-fA-F]{1,4}){0,7})?(:((:[0-9a-fA-F]{1,4}){0,7}|:))?)|((\d{1,3}\.){3}\d{1,3})
  • Minimum length: 4
  • Maximum length: 17
Name Type Required / Optional Description Restrictions
verificationDate Timestamp Required The date the contact has been verified
method Enum Required The verification method

Possible values:

  • REACHABILITY: Person or company is reachable
  • ELECTRONIC_DOCUMENT: Electronic document
  • PHYSICAL_DOCUMENT: Physical document
  • EID_AUTH: Electronic ID authentication
  • TRANSACTION: Transaction of data
  • DATA: Data extraction
proof Enum Required The verification proof

Possible values:

  • LOG_RECORD: transaction log record (e-mail, address or voice log record)
  • ID_CARD: ID card
  • PASSPORT: Passport
  • POPULATION_REGISTER: National register of residents
  • RESIDENCE_PERMIT: Official residence document
  • DRIVERS_LICENCE: Driver's license
  • COMPANY_REGISTER: National register of companies
  • COMPANY_STATEMENT: Any company statement (e.g. annual financial statements
  • BANK_ACCOUNT: Record of payment (e.g. via direct debit or credit card)
  • ONLINE_PAYMENT_ACCOUNT: Record of payment via online payment
  • UTILITY_ACCOUNT: Utility bill
  • BANK_STATEMENT: Bank statement
  • TAX_STATEMENT: Tax statement
  • ADDRESS_DATABASE: Database of addresses
externalId String Required The ID of the verification at the external provider
  • Minimum length: 1
  • Maximum length: 255
claims List <Enum> Required Set of claims that are made with this verification

Possible values:

  • EMAIL: E-mail
  • ADDRESS: Address
  • ORGANIZATION: Organization
  • NAME: Name
  • VOICE: Voice

Successful request

  • 200 OKHTTP Status
  • application/jsonContent-Type
  • 202 AcceptedHTTP Status
  • application/jsonContent-Type

Failed requests

Besides the generic errors these specific error responses can be expected.

Type Status Description
ContactUpdateValidationError 400 Bad Request Contact update is not allowed by constrains laid down by one or more providers using the contact.
The handle of the customer
The contact handle
The brand to link the contact to

Specify as empty string: The name of the organization
The name of the person
The address lines
Postal code
The city

Specify as empty string: The state
The ISO 3166-1 alpha2 country code
The email address
The voice telephone number. E164a format, eg: +31.384530759

Specify as empty string: The fax telephone number. E164a format, eg: +31.384530759
Indicates for whom you are acting as a designated agent. If a registry does not allow you to be designated agent or interaction with the registrant is still required this parameter is silently ignored. To use this field with any other value then "NONE" the requesting user must have the DESIGNATED_AGENT permission.
List of fields you wish to disclose (in RDAP) where this contact is used. Country and state are allways publicly available.
The validated category
The version of the terms presented to the end user during validation
The date contact data was validated. Defaults to current date and time.
The IP address of the client used to validate the contact.
The date the contact has been verified
The verification method
The verification proof
The ID of the verification at the external provider
Set of claims that are made with this verification

POST /v2/customers/customer/contacts/handle/update
Content-Type: application/json

{}